<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use Lc\ShopBundle\Context\OrderProductReductionCatalogInterface;

/**
 * @ORM\MappedSuperclass()
 */
abstract class OrderProductReductionCatalog implements OrderProductReductionCatalogInterface
{
        use ReductionTrait ;

        /**
         * @ORM\Column(type="string", length=255)
         */
        protected $title;

        public function getTitle(): ?string
        {
                return $this->title;
        }

        public function setTitle(string $title): self
        {
                $this->title = $title;

                return $this;
        }
}
